Subject: bug#22627: 25.1.50; Wishlist: It would be nice if the grep buffer had a history

From: Drew Adams <[email-masked]>
Date: Sun, 3 Apr 2016 18:53:06 -0700 (PDT)

> For the record, I never have more than one grep buffer open, but not because
> I haven't wanted that in the past! I just never think to save the old one
> before running grep again.

FWIW, I have a simple key that prompts for a new name for the buffer.
I use it all the time, for *Help*, *grep*, *Pp Eval Output*, etc.

On the other hand, I also reuse the same *grep* buffer for different
searches, and rerun a previous search (in the same dir or not) by
retrieving its args from the history list.  I don't understand what
the missing feature is that is being discussed.  Why is it hard to
rerun a previous `grep' command?